> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AI-analysed cluster health



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/clusters/{cluster_id}/kubernetes/health
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/clusters/{cluster_id}/kubernetes/health:
    get:
      tags:
        - Chat API
      summary: Get AI-analysed cluster health
      operationId: >-
        get_cluster_health_endpoint_api_v1_org_clusters__cluster_id__kubernetes_health_get
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - description: Include AI analysis of issues
          in: query
          name: include_ai_analysis
          required: false
          schema:
            default: false
            description: Include AI analysis of issues
            title: Include Ai Analysis
            type: boolean
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClusterHealthResponse'
          description: Cluster health retrieved successfully
        '401':
          description: Unauthorized
        '404':
          description: Cluster not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ClusterHealthResponse:
      properties:
        ai_insights:
          items:
            additionalProperties: true
            type: object
          title: Ai Insights
          type: array
        cluster_id:
          title: Cluster Id
          type: string
        generated_at:
          title: Generated At
          type: string
        health_report:
          additionalProperties: true
          title: Health Report
          type: object
        notification_priority:
          title: Notification Priority
          type: string
        should_notify:
          title: Should Notify
          type: boolean
        summary:
          title: Summary
          type: string
      required:
        - cluster_id
        - health_report
        - ai_insights
        - summary
        - should_notify
        - notification_priority
        - generated_at
      title: ClusterHealthResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````